Bug 327431 - For Romanian, /etc/sysconfig/i18n contains incorrect parameter
For Romanian, /etc/sysconfig/i18n contains incorrect parameter
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 329101 (view as bug list)
Depends On:
Blocks: 246376
  Show dependency treegraph
Reported: 2007-10-11 05:46 EDT by Răzvan Sandu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-12 10:14:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-10-11 05:46:45 EDT
Description of problem:

On Fedora 8 test 3 + updates as of October 11, 2007:

After a default installation of Fedora, the file /etc/sysconfig/i18n contains:


instead of


This leads to scrambled Romanian characters during boot (initialization scripts)
and other various problems around the whole system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Perform a default installation of Fedora 8 test 3
2. During installation, choose "Romanian" as language and "ro_win" as keyboard.
3. Perform online updates as of October 11, 2007.
4. After boot, observe that Romanian characters during initialization scripts
and in other parts of the system are scrambled.
5. Open /etc/sysconfig/i18n with a text editor: it contains LANG="ro_RO.UTF_8"
instead of LANG="ro_RO.UTF-8".
Actual results:
/etc/sysconfig/i18n contains LANG="ro_RO.UTF_8" when the system is configured
for Romanian language.

Expected results:
/etc/sysconfig/i18n should contain LANG="ro_RO.UTF-8" whenever UTF-8 is used for
Romanian language.

Additional info:
Comment 1 Liang Zhang 2007-10-11 22:18:50 EDT
I think this bug is the bug of anaconda. I tested to change to Romanian language
with system-config-language, it is OK, and /etc/sysconfig/i18n contains
During installation and choosing the language, system-config-language isn't
installed and can not be used.
Anaconda is responsible for choosing the language during installation.
Comment 2 Răzvan Sandu 2007-10-12 03:19:00 EDT
Thanks very much !

Comment 3 Chris Lumens 2007-10-12 10:14:35 EDT
This will be fixed in the next build of anaconda.
Comment 4 Chris Lumens 2007-10-12 10:15:33 EDT
*** Bug 329101 has been marked as a duplicate of this bug. ***
Comment 5 Răzvan Sandu 2007-10-14 03:24:31 EDT
*** Bug 246376 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.